WML::MOD::VERSION(1)

NAME
wml::mod::version - Checks WML version number

SYNOPSIS
 #use wml::mod::version

 <require 1.7.1 />

DESCRIPTION
As WML evolves, some new features appear and some input files requires new version to be processed. This include file provides the "<require>" tag, which checks whether running WML program is new enough to process input file.

ATTRIBUTES
The "<require>" tag takes an argument : the WML version number needed to process the file in which this tag appears. This number is a dot separated list of 3 numbers, from left to right : version, revision and patchlevel.

Comparison between numbers is numerical, so that 1.7.50 > 1.7.6

AUTHOR
 Denis Barbier
 barbier@engelschall.com

REQUIRES
 Internal: P2
 External: --